.graph {
  clear: both;
  position:relative;
  width:95%;
  height:400px;
  margin:10px;
  border:1px solid black;
  overflow:auto;
}

.graph div.box {
  position:absolute;
  top:1px;
  left:1px;
  padding:12px;
  margin:0px;
  cursor: move;
}

.graph div.kind0 {
  border:1px solid #990;
  background:#FFD;
}

.graph div.kind1 {
  border:1px solid #009;
  background:#DDF;
}

.graph div.kind2 {
  border:1px solid #090;
  background:#DFD;
}

.graph div.kind3 {
  border:1px solid #000;
  background:#FDD;
}

.graph div.box input {
  width:32px;
  border:0px;
  background:transparent;
  text-align:center;
  font-family:Arial, sans-serif;
  font-size:10pt;
}

.graph div.kind3 input {
  font-size:18pt;
}

.graph div.box input:focus {
  border:0px;
  background:#DDD;
}

.graph div.line {
  position:absolute;
  z-index:-100;
  border:1px solid black;
  color:black;
}

.graph div.box_selected {
  border:3px dotted;
}

.button {
  border:1px outset #080;
  background:#BEB;
}

#title, #buttons, #properties_box, #message {
  border:1px solid gray;
  float:left;
  padding:10px;
  margin:10px;
}

#properties_box, #message {
  display:none;
}

#footer {
  clear:both;
  font-size:8pt;
  margin-top:100px;
}